### Method

# Ide Task get_completed

#### Declaration

    gboolean
    ide_task_get_completed (
      IdeTask* self
    )

#### Description

Gets the “completed” property. This is `TRUE` after the callback used when creating the task has been executed.

The property will be notified using `g_object_notify()` exactly once in the same `GMainContext` as the callback.

Available since: | 3.32

Gets property | `Ide.Task:completed`

#### Return value

Returns: | `gboolean`
| `TRUE` if the task has completed.